import { Service } from '@/Service/Service';
/*****登录接口*****/
class NvpAddressService {
	private static GetAddressListPath: string = '/Address/GetAddressList';
	/*****收货地址*****/
	static GetAddressList(page: number) {
		var result = Service.Request(this.GetAddressListPath, "GET", { page });
		return result;
	}

	private static DelUserAddressPath: string = '/Address/DelUserAddress';
	/*****删除地址*****/
	static DelUserAddress(uaId: string) {
		var result = Service.Request(this.DelUserAddressPath, "POST", { uaId });
		return result;
	}

	private static AddUserAddressPath: string = '/Address/AddUserAddress';
	/*****添加地址*****/
	static AddUserAddress(uaId: string, name: string, phone: string, province: string, city: string, county: string, address: string, isDefault: number) {
		var result = Service.Request(this.AddUserAddressPath, "POST", { uaId, name, phone, province, city, county, address, isDefault });
		return result;
	}

	private static UpdateUserAddressPath: string = '/Address/UpdateUserAddress';
	/*****修改默认地址*****/
	static UpdateUserAddress(uaId: string) {
		var result = Service.Request(this.UpdateUserAddressPath, "POST", { uaId });
		return result;
	}

}
export {
	Service,
	NvpAddressService
}
